Skip to main content
GET
/
v1
/
training_projects
/
{training_project_id}
/
cache
/
summary
cURL
curl --request GET \
--url https://api.baseten.co/v1/training_projects/{training_project_id}/cache/summary \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "timestamp": "<string>",
  "project_id": "<string>",
  "file_summaries": [
    {
      "path": "<string>",
      "size_bytes": 123,
      "modified": "<string>",
      "file_type": "<string>",
      "permissions": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

training_project_id
string
required

Response

200 - application/json

Response for getting cache summary.

timestamp
string
required

Timestamp when the cache summary was captured

project_id
string
required

Project ID associated with the cache

file_summaries
FileSummary · object[]
required

List of files in the cache